aboutsummaryrefslogtreecommitdiffstats
path: root/main/xbacklight/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xbacklight/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xbacklight/APKBUILD')
-rw-r--r--main/xbacklight/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/main/xbacklight/APKBUILD b/main/xbacklight/APKBUILD
new file mode 100644
index 0000000000..6c0caaf056
--- /dev/null
+++ b/main/xbacklight/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xbacklight
+pkgver=1.1
+pkgrel=1
+pkgdesc="Sets backlight level using the RandR 1.2 BACKLIGHT output property"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+depends=
+makedepends="pkgconfig libx11-dev libxrandr-dev"
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="51b4a1c0ae2b3bd77417306fd78a3e94 xbacklight-1.1.tar.bz2"